wangcl
Contributor
Contributor

Install vmware-Workstation on fedora

Hello,

I have a question for installing workstation on fedora.

This is the message for displaying

[root@localhost vmware-root]# /work/vm-ware/VMware-Workstation-Full-12.5.5-5234757.x86_64.bundle

Extracting VMware Installer...done.

No protocol specified

No protocol specified

User interface initialization failed.  Exiting.  Check the log for details.

And this is the log:

2017-06-06T17:05:19.825-04:00| vthread-4| I125: Log for VMware Workstation pid=3201 version=12.5.3 build=build-5087745 option=Release

2017-06-06T17:05:19.825-04:00| vthread-4| I125: The process is 64-bit.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: Host codepage=UTF-8 encoding=UTF-8

2017-06-06T17:05:19.825-04:00| vthread-4| I125: Host is Linux 4.11.3-200.fc25.x86_64 Fedora release 25 (Twenty Five)

2017-06-06T17:05:19.825-04:00| vthread-4| I125: DictionaryLoad: Cannot open file "/etc/vmware/config": No such file or directory.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: PREF Optional preferences file not found at /etc/vmware/config. Using default values.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: DictionaryLoad: Cannot open file "/usr/lib/vmware/settings": No such file or directory.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: PREF Optional preferences file not found at /usr/lib/vmware/settings. Using default values.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: DictionaryLoad: Cannot open file "/usr/lib/vmware/config": No such file or directory.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: PREF Optional preferences file not found at /usr/lib/vmware/config. Using default values.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: DictionaryLoad: Cannot open file "/root/.vmware/config": No such file or directory.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: PREF Optional preferences file not found at /root/.vmware/config. Using default values.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: PREF Unable to check permissions for preferences file.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: DictionaryLoad: Cannot open file "/root/.vmware/preferences": No such file or directory.

2017-06-06T17:05:19.825-04:00| vthread-4| I125: PREF Failed to load user preferences.

Please reply me as soon as possible.

Thanks

12 Replies
Sreejesh_D
Virtuoso
Virtuoso

HI,

what is the fedora version? check whether the fedora version is compatible with this version of workstation?

0 Kudos
Sreejesh_D
Virtuoso
Virtuoso

here is the list of supported host OSs for workstation.

Supported host operating systems for Workstation Pro 12.x (2129859) | VMware KB

0 Kudos
wangcl
Contributor
Contributor

It's the fedfora on my computer

[root@localhost Downloads]# cat /etc/redhat-release

Fedora release 25 (Twenty Five)

[root@localhost Downloads]#

0 Kudos
wangcl
Contributor
Contributor

Thanks,I'll check it

0 Kudos
wangcl
Contributor
Contributor

12.x  support the version of fedora  is 22, My fedora's version is more than 22

0 Kudos
Sreejesh_D
Virtuoso
Virtuoso

thats the reason then. We may able to get some workaround to run workstation on version 25. I wont recommend it. Its always good to run on compatible host OS.

0 Kudos
wangcl
Contributor
Contributor

It display "No protocol specified",but I don't know which protocol is not specified. It   is not in log.

0 Kudos
yanw
VMware Employee
VMware Employee

0 Kudos
wangcl
Contributor
Contributor

Thanks for your help,it displays

[root@localhost vm-ware]# ./VMware-Workstation-Full-12.5.5-5234757.x86_64.bundle --console 2146755

Extracting VMware Installer...done.

User interface initialization failed.  Exiting.  Check the log for details.

0 Kudos
RDPetruska
Leadership
Leadership

Perhaps try the latest build of Workstation (currently 12.5.6, released back on 18 May)?

0 Kudos
wangcl
Contributor
Contributor

I'll try it later. I have Installed vm-ware 12.5 by  console .When I open it ,It displays

[root@localhost vm-ware]# vmware

No protocol specified

(vmware-modconfig:8117): Gtk-WARNING **: cannot open display: :0

I think there is no display protocol in my computer,but I don't know which protocol for vm-ware

0 Kudos
yanw
VMware Employee
VMware Employee

Installed "ncurses-compat-libs" and still hit the error? In that case, would you please try WS12.5.6 and attach the log files -- /var/log/vmware-install ?